Name: ATpy
Version: 0.9.5.3
Release: 1%{?dist}
Summary: Astronomical Tables in Python
License: MIT

Group: Development/Libraries
URL: http://atpy.github.com/
Source0: https://github.com/downloads/atpy/atpy/%{name}-%{version}.tar.gz

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python-setuptools
Requires: numpy

%description
ATpy is a high-level Python package providing a way to manipulate tables of 
astronomical data in a uniform way. It provides built-in support for NumPy
recarrays and common astronomical file/database formats (FITS, VO, HDF5, 
and ASCII tables) with a very simple API.

%prep
%setup -q
chmod -x LICENSE

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root  %{buildroot}
 
%files
%doc CHANGES LICENSE README
%{python_sitelib}/ATpy-*.egg-info
%{python_sitelib}/atpy/

%changelog
* Thu Jul 14 2011 Sergio Pascual <sergiopr at fedoraproject.org> - 0.9.5.3-1
- New upstream release.
- Removing python3 stuff

* Wed May 11 2011 Sergio Pascual <sergiopr at fedoraproject.org> - 0.9.5-2.1
- Disable python3, numpy missing

* Wed May 11 2011 Sergio Pascual <sergiopr at fedoraproject.org> - 0.9.5-2
- Moving Requires for python3 to its proper place in package macro

* Mon May 02 2011 Sergio Pascual <sergiopr at fedoraproject.org> - 0.9.5-1
- New upstream release

* Tue Apr 26 2011 Sergio Pascual <sergiopr at fedoraproject.org> - 0.9.4-3
- Added support for python3

* Tue Apr 26 2011 Sergio Pascual <sergiopr at fedoraproject.org> - 0.9.4-2
- Updated upstream web site
- More details in files section

* Tue Nov 30 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 0.9.4-1
- Initial spec file
